// =============================================================
// =============================================================
// Initialise main functions.

load "rmmc_Algdep.m"; 
load "rmmc_Cocycle.m";
load "rmmc_Hecke.m";
load "rmmc_RMValues.m";


// ============================================================
// ===                 TABLE OF CONTENTS                    ===
// ============================================================


// ============================================================
// ===                   rmmc_Cocycle.m                     ===
// ============================================================

//    (1) General Quadratic Form Routines
//    (2) Nearly reduced cycles
//    (3) Power series in level 0 and 1
//    (4) Tp and continued fractions
//    (5) Operations on power series
//    (6) Main functions
//    (7) Writing functions
//    (8) Tests


// ============================================================
// ===                   rmmc_RMValues.m                    ===
// ============================================================

//    (1) RM Values
//    (2) Shimura reciprocity
//    (3) Obstructions
//    (4) Gross-Stark units
//    (5) Stark-Heegner points


// ============================================================
// ===                   rmmc_Hecke.m                       ===
// ============================================================

//    (1) The involutions winf, wp, and w_rec
//    (2) Hecke operators away from p


// ============================================================
// ===                   rmmc_Algdep.m                      ===
// ============================================================

//    (1) General algebraic recognition
//    (2) Algebraic recognition mod eps^Z
//    (3) Algebraic recognition mod Tate(q)^Z


